/*
### BEGIN LICENSE
# This file is in the public domain
### END LICENSE
*/
using Gtk;
class Program {

Program () {}

void run (string[] args) { 
	setup_ui(args);
}
void setup_ui(string[] args)
{
    Gtk.init (ref args);
    try {
        var builder = new Builder ();
        builder.add_from_file ("../data/ui/window.ui");
	var window = builder.get_object("window") as Window;
        builder.connect_signals (this);
        
	window.destroy.connect (Gtk.main_quit);

        window.show_all ();
        Gtk.main ();
    } catch (Error e) {
        stderr.printf ("Could not load Glade UI file " + e.message);
    }
}

[CCode (cname = "G_MODULE_EXPORT on_quit_menu_item_activate")]
public void on_quit_menu_item_activate () {
//this method is to handle the quit menu button
    Gtk.main_quit();
}

public static void main (string[] args) 
{ 
	var p = new Program (); 
	p.run (args);
	//write your code here
}
}
